

wm_handle main_window;          // This is the main window that goes behind
                                // everything else.  It is never seen
int MaxX;                       // Max X for the screen
int MaxY;                       // Max Y for the screen
int MidX;                       // Mid X for the screen
int MidY;                       // Mid Y for the screen
int num_windows;                // Global variable for number of used windows
int zorder[maxwindows];         // This will determine the zorder of windows
int display_date = 0;           // Config variable on displaying date
int display_wrap = 0;           // Config variable on wraping descriptions
int touch_adoptee = 1;          // Config variable on touching adopted files
int auto_adopt = 0;             // Config variable on displaying size
int display_size = 0;           // Config variable on displaying size
char adopt[maxadopt][4];        // Config variable for extensions to adopt
int numadopt = 0;               // Number of types of files to adopt
char * areabbs;                 // Config variable for the areas.bbs
char * maxdir;                  // Config variable for the maximus directory
char * TempDir = NULL;          // Config variable for temporary directories
char * GifViewer = NULL;        // Config var for GIF viewer
char * BMPViewer = NULL;        // Config var for BMP viewer
char * JPGViewer = NULL;        // Config var for JPG viewer
char * PCXViewer = NULL;        // Config var for PCX viewer
char * TIFViewer = NULL;        // Config var for TIF viewer
char * TXTViewer = NULL;        // Config var for TXT viewer
char * VirusScanner = NULL;     // Config var for virus scanner
char * fbpcmd;                  // Config var to run FBP
char * DefaultDescription = NULL;
char Re_Archiving = 0;          /* This is a global counter of the number
                                   of re-archiving threads. */
char OSDupeSearch;              /* This will be  1 of a person wants the old
				   style dupe search */
char Priority = 1;              /* This will determine the priority of the
				   re-archiving threads.  It is set by a
				   maxfile.cfg variable */
int NameColour = F_WHITE;       // The colour for the name
int ReadOnlyColour = F_WHITE;   // The colour for Read Only names
int SizeColour = F_WHITE;       // The colour for the size
int DateColour = F_WHITE;       // The colour for the date
int DescColour = F_WHITE;       // The colour for the description
int HighlightColour = F_WHITE;  // The colour for the Highlight
int CommentColour = F_WHITE;    // The colour for the word comment
int OfflineColour = F_WHITE;    // The colour for offline file names
char American_date = 1;
char ExtendedDesc = 0;
char VerticalWindow;
char * externaledit = NULL;     // Verb for using an external editor.
char strip_high_ascii = 1;      // Verb for striping high ascii in file_id.diz
char desc_256char = 1;
char DISameArea = 1;
int FileListMargin = 0;
char FnameUpper = 0;
char areasort = 0;
int NewFiles = 30;

char * DlCounter = "";

char * Macros[numMacros+1];

char bbs_type;


int Window1area;
int Window2area;
long long key=0;
char WrapComments = 0;
char DupIgnoreExt = 1;
int numareas = 0;
int AutoFBP = 1;
USHORT curxpos;
USHORT curypos;
VIOCURSORINFO curinfo;


const char * Colours[9] = {
  "BLACK",
  "BLUE",
  "GREEN",
  "CYAN",
  "RED",
  "MAGENTA",
  "YELLOW",
  "BROWN",
  "WHITE"
};




/*  Block character set.
 *
 *  To find the position in the arrays below, subtract the base from the
 *  character and then multiply by 24. To find the particular row of the
 *  character, multiply the row * 6.
 *
 *      offset = ((char - base) * 24) + (row * 6);
 */


static CHAR Numbers[] = {"        "
                         "                 "
                         "        "
                         "         "
                         "             "
                         "       "
                         "      "
                         "             "
                         "         "
                         "          "};

static CHAR Letters[] = {"            "
                         "         "
                         "             "
                         "            "
                         "           "
                         "               "
                         "           "
                         "               "
                         "                 "
                         "              "
                         "               "
                         "                 "
                         "             "
                         "             "
                         "            "
                         "             "
                         "           "
                         "          "
                         "          "
                         "                 "
                         "               "
                         "               "
                         "              "
                         "               "
                         "                "
                         "           "};







/* These are all of the config variables for the maxfile.cfg.  New ones can
   be added but the above variable VerbCount must be increased accordingly */

const char *verbs[VerbCount] = {
  "dfgsdgdgng",          /* 0  */
  "FBP",	       	 /* 1  */
  "BBSdir",		 /* 2  */
  "sysinfo",		 /* 3  */
  "Date",	       	 /* 4  */
  "Size",	       	 /* 5  */
  "GIF",	         /* 6  */
  "JPG",	         /* 7  */
  "BMP",		 /* 8  */
  "VirusCheck",		 /* 9  */
  "Zip_Extract",	 /* 10 */
  "Zip_Add",		 /* 11 */
  "Zip_List",		 /* 12 */
  "Zip_Test",		 /* 13 */
  "Arj_Extract",	 /* 14 */
  "Arj_Add",		 /* 15 */
  "Arj_List",		 /* 16 */
  "Arj_Test",		 /* 17 */
  "LH_Extract",		 /* 18 */
  "LH_Add",		 /* 19 */
  "LH_List",		 /* 20 */
  "LH_Test",		 /* 21 */
  "Arc_Extract",       	 /* 22 */
  "Arc_Add",		 /* 23 */
  "Arc_List",		 /* 24 */
  "Arc_Test",		 /* 25 */
  "Touch_Adoptee",	 /* 26 */
  "Adopt",		 /* 27 */
  "DefDescription", 	 /* 28 */
  "LowPriRearchive",     /* 29 */
  "TempDir",             /* 30 */
  "ColourName",          /* 31 */
  "ColourSize",          /* 32 */
  "ColourDate",          /* 33 */
  "ColourDesc",          /* 34 */
  "ColourHighlight",     /* 35 */
  "AutoAdopt",           /* 36 */
  "Window1area",         /* 37 */
  "Window2area",         /* 38 */
  "KEY",                 /* 39 */
  "WRAPCOMMENTS",        /* 40 */
  "DupIgnoreExtension",  /* 41 */
  "AutoFB",              /* 42 */
  "PCX",		 /* 43 */
  "TIF",		 /* 44 */
  "TXT", 		 /* 45 */
  "BBS_TYPE",            /* 46 */
  "ColourReadOnly",      /* 47 */
  "American_date",       /* 48 */
  "ExtendedDesc",        /* 49 */
  "VerticalWindows",     /* 50 */
  "ColourComment",       /* 51 */
  "ColourOffline",       /* 52 */
  "Macro2",              /* 53 */
  "Macro3",              /* 54 */
  "Macro4",              /* 55 */
  "Macro5",              /* 56 */
  "Macro6",              /* 57 */
  "Macro7",              /* 58 */
  "Macro8",              /* 59 */
  "Macro9",              /* 60 */
  "wrap",                /* 61 */
  "Strip_High_ASCII",    /* 62 */
  "externaledit",        /* 63 */
  "256char_descriptions",/* 64 */
  "DupeIgnoreSameArea",  /* 65 */
  "DupeSearchStyle",     /* 66 */
  "FileListMargin",      /* 67 */
  "ucasefnames",         /* 68 */
  "sortareas",           /* 69 */
  "NewFiles",            /* 70 */
  "DlCounter"            /* 71 */
};



struct FileArea * fileareas = NULL;
struct Window windowlist[maxwindows];
struct archiver archivers[maxarchivers];
